> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tp.sima.ag/llms.txt
> Use this file to discover all available pages before exploring further.

# PUT contour

> Guarda el contorno del establecimiento. Requiere EDIT. Una fracción inválida responde 422 e identifica key.



## OpenAPI

````yaml /openapi.yaml put /api/v3/third_party/establishments/{new_establishment}/contour
openapi: 3.0.0
info:
  title: SIMA Third-Party API
  description: >-
    Referencia completa de la API de Terceros de SIMA. Generada automáticamente
    desde la colección de Postman. Para guías de integración, visitá
    docs.tp.sima.ag.
  version: 1.0.0
servers:
  - url: https://api.qa.sima.ag
    description: Entorno de pruebas (QA)
  - url: https://api.sima.ag
    description: Producción
security:
  - bearerAuth: []
    systemId: []
tags:
  - name: Security
  - name: Version 1
  - name: Version 1 > Active Ingredients
  - name: Version 1 > Applicators
  - name: Version 1 > Application Order Labour Types
  - name: Version 1 > Assignments - Revisar
  - name: Version 1 > Campaigns
  - name: Version 1 > Companies
  - name: Version 1 > Components
  - name: Version 1 > Cultivations
  - name: Version 1 > Establishments
  - name: Version 1 > Farmers
  - name: Version 1 > Formulateds
  - name: Version 1 > FormulatedUse
  - name: Version 1 > Formulation Type
  - name: Version 1 > Machines
  - name: Version 1 > Master Campaigns
  - name: Version 1 > Planting Time
  - name: Version 1 > Plots
  - name: Version 1 > Scoutings
  - name: Version 1 > Scoutings > Adversity Categories
  - name: Version 1 > Scoutings > Adverstiy Kinds
  - name: Version 1 > Scoutings > Adversity
  - name: Version 1 > Scoutings > Scouting
  - name: Version 1 > Units
  - name: Version 1 > VoucherType
  - name: Version 1 > Warehouses
  - name: Version 1 > WorkOrder
  - name: Version 1 > Work Order Labour Type Attribute
  - name: Version 1 > Work Order Labour Type Category
  - name: Version 2
  - name: Version 2 > Establishments
  - name: Version 2 > Plots
  - name: Version 3
  - name: Version 3 > Activity Statuses
  - name: Version 3 > Applicators
  - name: Version 3 > Application Order Labour Types
  - name: Version 3 > Campaign
  - name: Version 3 > Cultivations
  - name: Version 3 > Establishments
  - name: Version 3 > Establishment Contours
  - name: Version 3 > External Plot Association
  - name: Version 3 > External Systems
  - name: Version 3 > Fertilization Control
  - name: Version 3 > Farmers
  - name: Version 3 > Formulated
  - name: Version 3 > Hydric States
  - name: Version 3 > IOT
  - name: Version 3 > IOT > ClimaticFactors
  - name: Version 3 > IOT > Device
  - name: Version 3 > IOT > Device Event
  - name: Version 3 > IOT > Device Event Protocol Result
  - name: Version 3 > IOT > Device Event Protocol
  - name: Version 3 > IOT > Device Event Sample
  - name: Version 3 > IOT > Device Event Sample Group
  - name: Version 3 > IOT > Device Event Measure Threshold
  - name: Version 3 > IOT > WeatherAnomalies
  - name: Version 3 > IOT > WeatherAnomalyTypes
  - name: Version 3 > Machines
  - name: Version 3 > Master Campaigns
  - name: Version 3 > Master Campaign Cycles
  - name: Version 3 > Phenological States
  - name: Version 3 > Planting Control
  - name: Version 3 > Planting Times
  - name: Version 3 > Plant Stand Control
  - name: Version 3 > Plots
  - name: Version 3 > Plot States
  - name: Version 3 > Progress Report
  - name: Version 3 > Harvest Progress
  - name: Version 3 > Planting Progress
  - name: Version 3 > SIlo Bag
  - name: Version 3 > SIlo Bag > Silobag Scoutings & Extractions
    description: Endpoints to manage silobag scoutings and extractions.
  - name: Version 3 > SIlo Bag > Silobag Campaigns
    description: Endpoints to manage silobag campaigns.
  - name: Version 3 > Scoutings
  - name: Version 3 > Scoutings > Scouting
  - name: Version 3 > Scoutings > Measure
  - name: Version 3 > Tags
  - name: Version 3 > Units
  - name: Version 3 > Warehouses
  - name: Version 3 > Waypoint
  - name: Version 3 > Work Orders
  - name: Version 3 > Work Order Labour Type Categories
paths:
  /api/v3/third_party/establishments/{new_establishment}/contour:
    put:
      tags:
        - Version 3 > Establishment Contours
      summary: PUT contour
      description: >-
        Guarda el contorno del establecimiento. Requiere EDIT. Una fracción
        inválida responde 422 e identifica key.
      parameters:
        - name: X-SIMA-APIKEY
          in: header
          schema:
            type: string
          example: '{{new_api_key}}'
        - name: X-SIMA-SYSTEM-ID
          in: header
          schema:
            type: string
          example: '{{system_id}}'
        - name: Accept
          in: header
          schema:
            type: string
          example: application/json
        - name: Content-Type
          in: header
          schema:
            type: string
          example: application/json
        - name: new_establishment
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                fractions:
                  - key: postman-1
                    name: Fracción 1
                    geometry:
                      type: Polygon
                      coordinates:
                        - - - -64
                            - -31
                          - - -63.99
                            - -31
                          - - -63.99
                            - -30.99
                          - - -64
                            - -30.99
                          - - -64
                            - -31
                reference_point:
                  lat: '-31.0'
                  lon: '-64.0'
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                fractions:
                  - id: 1001
                    key: postman-1
                    name: Fracción 1
                    geometry:
                      type: Polygon
                      coordinates:
                        - - - -64
                            - -31
                          - - -63.99
                            - -31
                          - - -63.99
                            - -30.99
                          - - -64
                            - -30.99
                          - - -64
                            - -31
                    area_ha: 12.45
                    holes_count: 0
                    invalid: false
                    invalid_reason: null
                area_ha: 12.45
                area_in_plots_ha: 0
                area_unassigned_ha: 12.45
                has_plots: false
                plots: []
                overlaps: []
                reference_point:
                  lat: '-31.0'
                  lon: '-64.0'
                  outside: false
                suggested_reference_point: null
        '422':
          description: Unprocessable Entity
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                key: bad-1
                title: An error occurred
                detail: establishment_contour.fraction_invalid
                status: 422
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: access_token obtenido via POST /api/v2/login
    systemId:
      type: apiKey
      in: header
      name: X-SIMA-SYSTEM-ID
      description: Identificador del sistema integrador (8 para Third-Party API)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.